Bug 12361

Summary: No default value for opaccolorstylesheet syspref
Product: Koha Reporter: Fridolin Somers <fridolin.somers>
Component: Installation and upgrade (command-line installer)Assignee: Fridolin Somers <fridolin.somers>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: gmcharlt, tomascohen
Version: master   
Hardware: All   
OS: All   
URL: /cgi-bin/koha/admin/preferences.pl?tab=&op=search&searchfield=opaccolorstylesheet
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 12361 - No default value for opaccolorstylesheet syspref
Bug 12361 - No default value for opaccolorstylesheet syspref
Bug 12361 - No default value for opaccolorstylesheet syspref

Description Fridolin Somers 2014-06-04 14:09:44 UTC
After install, the syspref opaccolorstylesheet will by default contain colors.css.
This file exist in OPAC prog theme but not in bootstrap theme.
Sould we create the file in bootstrap theme or set the syspref empty by default ?
Comment 1 Owen Leonard 2014-06-04 14:27:22 UTC
I vote to set it empty by default. colors.css in the prog theme is an empty file, so it doesn't really do the prog theme any good to have opaccolorstylesheet filled automatically. The only theme which requires it is CCSR.
Comment 2 Fridolin Somers 2014-06-05 07:33:01 UTC Comment hidden (obsolete)
Comment 3 David Cook 2014-06-06 04:59:03 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-06-06 13:41:49 UTC
Created attachment 28699 [details] [review]
Bug 12361 - No default value for opaccolorstylesheet syspref

After install, the syspref opaccolorstylesheet will by default contain colors.css.
This file exist in OPAC prog theme but not in bootstrap theme.

This patch set the syspref empty by default in installer/data/mysql/sysprefs.sql.

Test plan :
- Create a fresh install
- Look at opaccolorstylesheet content
=> without this patch : is contains colors.css
=> with this patch : it is empty
- Enable opac bootstrap theme
- Go to opac main page
- Look at HTTP errors (with firebug for example)
=> without this patch : there is a 404 error because colors.css does not exist
=> with this patch : no such error

Signed-off-by: David Cook <dcook@prosentient.com.au>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Tomás Cohen Arazi 2014-06-30 13:11:41 UTC
Pushed to master.

Thanks Fridolin!
Comment 6 Galen Charlton 2014-07-23 21:32:32 UTC
Pushed to 3.16.x for inclusion in 3.16.2.